AdMob Compile Error

iksleinwe

  • Posts: 1
I'm getting the following error when I enable AdMob and attempt to compile my app:
error: Building for iOS, but the linked framework 'SafariServices.framework' was built for macOS. (in target 'A Maze Escape' from project 'A Maze Escape')

I do not have the AdMob Extension enabled.

Justin

  • *
  • Posts: 4483
This issue is reported here, and is fixed in the upcoming 4.0.3 release.

The reason you're encountering this issue is because you likely have the "Enable AdMob Ads" checkbox in Settings > Mobile > Monetization checked.

If you'd like to try out 4.0.3, you can download the 4.0.3 release candidate.
For Live Support: Join our discord server and ping me @justin.
I'm most often available between 10am and 10pm Japan time. (GMT+9)